Get Inventory Type Schema

Get Inventory Type Schema

Get inventory type schema for the given endpointName and type in provided tenantId.

Request
URI
GET
https://{api_host}/o11n-gateway-service/api/tenants/{tenantId}/metadata/{endpointName}/{type}/schema
COPY
Path Parameters
string
tenantId
Required

tenantId

string
endpointName
Required

endpointName

string
type
Required

type


Responses
200

'Success' with the inventory type Schema

Returns Schema of type(s) */*
{
    "fields": [
        {
            "permissibleValues": {
                "customAllowed": false
            },
            "displayAdvice": "string",
            "columns": [
                "Field Object"
            ],
            "dataType": {
                "typeId": "string"
            },
            "isMultiValued": false,
            "description": "string",
            "orderIndex": 0,
            "id": "string",
            "label": "string",
            "state": {
                "dependencies": [
                    "string"
                ],
                "facets": [
                    {}
                ]
            }
        }
    ]
}
array of Field
fields
Optional

fields


404

'Not found' if no o11nEndpointMetadata with provided endpointName in requested tenant

Operation doesn't return any data structure